package com.pcloud.book.book.entity;


import com.pcloud.common.entity.BaseEntity;

/**
 * @描述：
 * 
 * @作者：songx
 * @创建时间：2017年7月5日,下午4:58:38 @版本：1.0
 */
public class BookAssistTemplet extends BaseEntity {

	private static final long serialVersionUID = 7502962939648736304L;

	/**
	 * 标识
	 */
	private Long assistTempletId;

	/**
	 * 类型编码
	 */
	private String typeCode;

	/**
	 * 模板名称
	 */
	private String templetName;

	/**
	 * 封面图
	 */
	private String coverImg;

	/**
	 * 二维码地址
	 */
	private String qrcodeUrl;

	/**
	 * 效果地址
	 */
	private String effectUrl;

	/**
	 * 模板地址
	 */
	private String templetUrl;

	/**
	 * 模板文件名称
	 */
	private String templetFileName;

	/**
	 * 模板名称大小
	 */
	private Long templetFileSize;

	/**
	 * 示例
	 */
	private String sample;

	/**
	 * 简介
	 */
	private String remark;

	/**
	 * 描述
	 */
	private String description;

	/**
	 * 创建人
	 */
	private Long createdUser;

	/**
	 * 最后修改人
	 */
	private Long lastModifiedUser;

	public Long getAssistTempletId() {
		return assistTempletId;
	}

	public String getTypeCode() {
		return typeCode;
	}

	public String getTempletName() {
		return templetName;
	}

	public String getCoverImg() {
		return coverImg;
	}

	public String getQrcodeUrl() {
		return qrcodeUrl;
	}

	public String getEffectUrl() {
		return effectUrl;
	}

	public String getTempletUrl() {
		return templetUrl;
	}

	public String getTempletFileName() {
		return templetFileName;
	}

	public Long getTempletFileSize() {
		return templetFileSize;
	}

	public String getSample() {
		return sample;
	}

	public String getRemark() {
		return remark;
	}

	public String getDescription() {
		return description;
	}

	public Long getCreatedUser() {
		return createdUser;
	}

	public Long getLastModifiedUser() {
		return lastModifiedUser;
	}

	public void setAssistTempletId(Long assistTempletId) {
		this.assistTempletId = assistTempletId;
	}

	public void setTypeCode(String typeCode) {
		this.typeCode = typeCode;
	}

	public void setTempletName(String templetName) {
		this.templetName = templetName;
	}

	public void setCoverImg(String coverImg) {
		this.coverImg = coverImg;
	}

	public void setQrcodeUrl(String qrcodeUrl) {
		this.qrcodeUrl = qrcodeUrl;
	}

	public void setEffectUrl(String effectUrl) {
		this.effectUrl = effectUrl;
	}

	public void setTempletUrl(String templetUrl) {
		this.templetUrl = templetUrl;
	}

	public void setTempletFileName(String templetFileName) {
		this.templetFileName = templetFileName;
	}

	public void setTempletFileSize(Long templetFileSize) {
		this.templetFileSize = templetFileSize;
	}

	public void setSample(String sample) {
		this.sample = sample;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public void setCreatedUser(Long createdUser) {
		this.createdUser = createdUser;
	}

	public void setLastModifiedUser(Long lastModifiedUser) {
		this.lastModifiedUser = lastModifiedUser;
	}

	@Override
	public String toString() {
		return "BookAssistTemplet [assistTempletId=" + assistTempletId + ", typeCode=" + typeCode + ", templetName="
				+ templetName + ", coverImg=" + coverImg + ", qrcodeUrl=" + qrcodeUrl + ", effectUrl=" + effectUrl
				+ ", templetUrl=" + templetUrl + ", templetFileName=" + templetFileName + ", templetFileSize="
				+ templetFileSize + ", sample=" + sample + ", remark=" + remark + ", description=" + description
				+ ", createdUser=" + createdUser + ", lastModifiedUser=" + lastModifiedUser + "]";
	}


}
